Package org.eclipse.graphiti.features.context.impl

# Class CreateConnectionContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.CreateConnectionContext

All Implemented Interfaces:
  `IConnectionContext`, `IContext`, `ICreateConnectionContext`, `IPropertyBag`

public class CreateConnectionContext extends DefaultContext implements ICreateConnectionContext
The Class CreateConnectionContext.

## Constructor Summary

Constructors
Constructor
Description
`CreateConnectionContext()`
Creates a new `CreateConnectionContext`.

## Method Summary

Modifier and Type
Method
Description
`Anchor`
`getSourceAnchor()`
Gets the source anchor.
`ILocation`
`getSourceLocation()`
`PictogramElement`
`getSourcePictogramElement()`
Gets the source pictogram element.
`Anchor`
`getTargetAnchor()`
Gets the target anchor.
`ILocation`
`getTargetLocation()`
`PictogramElement`
`getTargetPictogramElement()`
Gets the target pictogram element.
`void`
`setSourceAnchor(Anchor sourceAnchor)`
Sets the source anchor.
`void`
`setSourceLocation(ILocation sourceLocation)`
`void`
`setSourcePictogramElement(PictogramElement sourcePictogramElement)`
Sets the source pictogram element.
`void`
`setTargetAnchor(Anchor targetAnchor)`
Sets the target anchor.
`void`
`setTargetLocation(ILocation targetLocation)`
`void`
`setTargetPictogramElement(PictogramElement targetPictogramElement)`
Sets the target pictogram element.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### CreateConnectionContext

public CreateConnectionContext()
Creates a new `CreateConnectionContext`.

## Method Details

### getSourceAnchor

public Anchor getSourceAnchor()
Description copied from interface: `IConnectionContext`
Gets the source anchor.

Specified by:
  `getSourceAnchor` in interface `IConnectionContext`
Returns:
  the source anchor

### getTargetAnchor

public Anchor getTargetAnchor()
Description copied from interface: `IConnectionContext`
Gets the target anchor.

Specified by:
  `getTargetAnchor` in interface `IConnectionContext`
Returns:
  the target anchor

### setSourceAnchor

public void setSourceAnchor(Anchor sourceAnchor)
Sets the source anchor.

Parameters:
  `sourceAnchor` - The sourceAnchor to set.

### setTargetAnchor

public void setTargetAnchor(Anchor targetAnchor)
Sets the target anchor.

Parameters:
  `targetAnchor` - The targetAnchor to set.

### getSourcePictogramElement

public PictogramElement getSourcePictogramElement()
Description copied from interface: `ICreateConnectionContext`
Gets the source pictogram element.

Specified by:
  `getSourcePictogramElement` in interface `ICreateConnectionContext`
Returns:
  the source pictogram element

### getTargetPictogramElement

public PictogramElement getTargetPictogramElement()
Description copied from interface: `ICreateConnectionContext`
Gets the target pictogram element.

Specified by:
  `getTargetPictogramElement` in interface `ICreateConnectionContext`
Returns:
  the target pictogram element

### setSourcePictogramElement

public void setSourcePictogramElement(PictogramElement sourcePictogramElement)
Sets the source pictogram element.

Parameters:
  `sourcePictogramElement` - the new source pictogram element

### setTargetPictogramElement

public void setTargetPictogramElement(PictogramElement targetPictogramElement)
Sets the target pictogram element.

Parameters:
  `targetPictogramElement` - the new target pictogram element

### toString

public String toString()

Overrides:
  `toString` in class `DefaultContext`

### getSourceLocation

public ILocation getSourceLocation()

Specified by:
  `getSourceLocation` in interface `ICreateConnectionContext`
Returns:
  the sourceLocation
Since:
  0.8

### setSourceLocation

public void setSourceLocation(ILocation sourceLocation)

Parameters:
  `sourceLocation` - the sourceLocation to set
Since:
  0.8

### getTargetLocation

public ILocation getTargetLocation()

Specified by:
  `getTargetLocation` in interface `ICreateConnectionContext`
Returns:
  the targetLocation
Since:
  0.8

### setTargetLocation

public void setTargetLocation(ILocation targetLocation)

Parameters:
  `targetLocation` - the targetLocation to set
Since:
  0.8